FROM dev.gitlab.org:5005/cookbooks/gitlab-omnibus-builder/suse/sles15sp2:latest AS base

FROM base AS builder
MAINTAINER GitLab Inc. <support@gitlab.com>

# Overridden at build time with actual SMT server address
ARG RMT_HOST=127.0.0.1

# Receive warnings that this is not installed. Leaving for note in posterity.
RUN rpm -e container-suseconnect;

# Install certificate
ADD http://${RMT_HOST}/rmt.crt /etc/pki/trust/anchors/rmt.crt
RUN update-ca-certificates

# Install necessary repos and update package list
COPY sles_repos/connect_repos /root/repos/connect_repos
COPY sles_repos/15/15sp2 /root/repos
RUN pushd /root/repos \
    && ./connect_repos ; \
    zypper -n --gpg-auto-import-keys update ; \
    zypper addrepo http://download.opensuse.org/repositories/openSUSE:/Tools/SLE_15_SP2/openSUSE:Tools.repo ; \
    zypper -q -n --gpg-auto-import-keys update

# Install required packages
RUN zypper -q -n install \
    autoconf \
    automake \
    clang7-devel \
    gettext-tools \
    openssh \
    vim \
    gcc \
    gcc-c++ \
    glibc-i18ndata \
    glibc-locale \
    libcurl-devel \
    libexpat-devel \
    gettext-devel \
    krb5-devel \
    libopenssl-devel \
    zlib-devel \
    make \
    libyaml-devel \
    libffi-devel \
    readline-devel \
    zlib-devel \
    gdbm-devel \
    ncurses-devel \
    bzip2 \
    which \
    bison \
    tar \
    curl \
    timezone \
    rpm-build \
    ccache \
    unzip

# Clean repos and cache
RUN zypper -q -n clean -a ; \
    zypper -q rr SLE-Product-SLES15-SP2-Pool ;\
    zypper -q rr SLE-Product-SLES15-SP2-Updates ;\
    zypper -q rr SLE-Module-Basesystem15-SP2-Pool ;\
    zypper -q rr SLE-Module-Basesystem15-SP2-Updates ;\
    zypper -q rr SLE-Module-DevTools15-SP2-Pool ;\
    zypper -q rr SLE-Module-DevTools15-SP2-Updates ;\
    zypper -q rr SLE-Module-Server-Applications15-SP2-Pool ;\
    zypper -q rr SLE-Module-Server-Applications15-SP2-Updates

ENV LANG en_US.UTF-8
ENV LC_ALL en_US.UTF-8
ENV LANGUAGE en_US:en
RUN localedef -i en_US -f UTF-8 en_US.UTF-8

<%= Snippets.new.populate %>

FROM base
MAINTAINER GitLab Inc. <support@gitlab.com>
COPY --from=builder / /
